App\Library\Amazon\Classes\SeedsAndPlants:
    xml_root_name: SeedsAndPlants
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        plantOrAnimalProductType:
            expose: true
            access_type: public_method
            serialized_name: PlantOrAnimalProductType
            accessor:
                getter: getPlantOrAnimalProductType
                setter: setPlantOrAnimalProductType
            type: string
        germinationTime:
            expose: true
            access_type: public_method
            serialized_name: GerminationTime
            accessor:
                getter: getGerminationTime
                setter: setGerminationTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        expectedBloomingPeriod:
            expose: true
            access_type: public_method
            serialized_name: ExpectedBloomingPeriod
            accessor:
                getter: getExpectedBloomingPeriod
                setter: setExpectedBloomingPeriod
            type: string
        harvestDate:
            expose: true
            access_type: public_method
            serialized_name: HarvestDate
            accessor:
                getter: getHarvestDate
                setter: setHarvestDate
            type: string
        seasons:
            expose: true
            access_type: public_method
            serialized_name: Seasons
            accessor:
                getter: getSeasons
                setter: setSeasons
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        moistureNeeds:
            expose: true
            access_type: public_method
            serialized_name: MoistureNeeds
            accessor:
                getter: getMoistureNeeds
                setter: setMoistureNeeds
            type: string
        poolType:
            expose: true
            access_type: public_method
            serialized_name: PoolType
            accessor:
                getter: getPoolType
                setter: setPoolType
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        spread:
            expose: true
            access_type: public_method
            serialized_name: Spread
            accessor:
                getter: getSpread
                setter: setSpread
            type: App\Library\Amazon\Classes\LengthDimensionType
        sunlightExposure:
            expose: true
            access_type: public_method
            serialized_name: SunlightExposure
            accessor:
                getter: getSunlightExposure
                setter: setSunlightExposure
            type: string
        sunsetClimateZone:
            expose: true
            access_type: public_method
            serialized_name: SunsetClimateZone
            accessor:
                getter: getSunsetClimateZone
                setter: setSunsetClimateZone
            xml_list:
                inline: true
                entry_name: SunsetClimateZone
            type: array<integer>
        uSDAHardinessZone:
            expose: true
            access_type: public_method
            serialized_name: USDAHardinessZone
            accessor:
                getter: getUSDAHardinessZone
                setter: setUSDAHardinessZone
            xml_list:
                inline: true
                entry_name: USDAHardinessZone
            type: array<integer>
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\SeedsAndPlants\VariationDataAType
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\SeedsAndPlants\UnitCountAType
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        foliageType:
            expose: true
            access_type: public_method
            serialized_name: FoliageType
            accessor:
                getter: getFoliageType
                setter: setFoliageType
            type: string
        breedRecommendation:
            expose: true
            access_type: public_method
            serialized_name: BreedRecommendation
            accessor:
                getter: getBreedRecommendation
                setter: setBreedRecommendation
            type: string
        ageRangeDescription:
            expose: true
            access_type: public_method
            serialized_name: AgeRangeDescription
            accessor:
                getter: getAgeRangeDescription
                setter: setAgeRangeDescription
            type: string
